JOURNAL_DIRTY_DATA(9)

NAME
journal_dirty_data - mark a buffer as containing dirty data to be flushed

SYNOPSIS

int journal_dirty_data(handle_t * handle, struct buffer_head * bh);

ARGUMENTS

handle
    transaction

bh
    bufferhead to mark

DESCRIPTION

Mark a buffer as containing dirty data which needs to be flushed before we can commit the current transaction.

The buffer is placed on the transaction's data list and is marked as belonging to the transaction.

Returns error number or 0 on success.

journal_dirty_data can be called via page_launder->ext3_writepage by kswapd.

AUTHORS

Roger Gammans <rgammans@computer-surgery.co.uk>
    Author.

Stephen Tweedie <sct@redhat.com>
    Author.

COPYRIGHT